import { Document, Schema, model } from 'mongoose';

export interface RankInterface extends Document {
  name: string,
  roleID: string,
  permissions: string[],
  description: string,
}

const Rank: Schema = new Schema({
  name: String,
  roleID: String,
  permissions: Array,
  description: String,
});

export default model<RankInterface>('Rank', Rank);
